Bug 1127953 - [Docs] [PRD3.5] [3.5Beta] [Change] [Technical] Live snapshot deletion and merging
Summary: [Docs] [PRD3.5] [3.5Beta] [Change] [Technical] Live snapshot deletion and mer...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: ---
Assignee: Andrew Dahms
QA Contact: Lucy Bopf
URL:
Whiteboard:
Depends On: 1124107
Blocks: 1127943
TreeView+ depends on / blocked
 
Reported: 2014-08-08 01:36 UTC by Andrew Dahms
Modified: 2014-09-19 01:32 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1124107
Environment:
Last Closed: 2014-09-19 01:32:29 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Andrew Dahms 2014-08-08 01:36:33 UTC
+++ This bug was initially created as a clone of Bug #1124107 +++

This change affects the method by which snapshots are deleted. Previously, deleting a snapshot was not as easy as might be expected, and involved creating a temporary space equivalent to the full size of the disk (even for thinly provisioned disks). With this change, this process has been greatly simplified.

This bug is somewhat tricky and will involve updating the section of the Technical Guide that talks about snapshot deletion. It might also involve looking into the sections of the Administration Guide and seeing whether there is any mention of the mechanism by which snapshots are deleted. However, the bulk of the work on this bug will be conceptual and centered around the Technical Guide.

oVirt feature page: http://www.ovirt.org/Features/Live_Merge#Special_considerations_for_ovirt-engine

PRD Bug: https://bugzilla.redhat.com/show_bug.cgi?id=647386

Comment 2 Andrew Dahms 2014-08-08 01:44:16 UTC
Hi Allon,

Would you be able to take a look at the following link that talks about live snapshot deletion and let me know what you think?

http://docbuilder.usersys.redhat.com/22767/#Snapshot_Deletion

I have added a paragraph at the bottom that provides a very brief overview of the operation, but I suspect the diagram and the description of the snapshot deletion may need to be updated.

Any input you could provide would be appreciated!

Kind regards,

Andrew

Comment 3 Allon Mureinik 2014-08-13 07:43:03 UTC
wrt the first paragraph, deleting snapshots has two main purposes:
1. Improving performance of your VM
2. Freeing up space. We can't guarantee that removing a snapshot will indeed free up space, but chances are that it will - if both snapshosts being merged change the same data, the older version will be omitted, and you'll end up saving space.

> When you delete a snapshot, the data from the deleted snapshot and the snapshot created after the deleted snapshot are merged into a single COW volume
IMHO, you should use "QCOW", not "COW".

Adam/Greg/Federico - any other comments?

Comment 4 Adam Litke 2014-08-13 13:12:16 UTC
Nothing to add from my side.

Comment 5 Andrew Dahms 2014-08-18 00:53:08 UTC
Hi Allon, Adam,

Thank you for your feedback!

I will rework the opening paragraph a little to include your comments.

Kind regards,

Andrew

Comment 6 Andrew Dahms 2014-08-18 22:14:20 UTC
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html-single/Technical_Guide/index.html#Snapshot_Deletion

What Changed
------------------------------
The following topic was revised to update the opening topic in accordance with feedback received above, and to add a new paragraph at the bottom of the topic that provides a brief overview of the back end behavior of the new snapshot deletion and merging behavior.

Snapshot Deletion [13706-699637]

Updated the revision history: [34616-691401]

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Technical_Guide-3.5-Beta-en-US-3.5-5

Moving to ON_QA.

Comment 7 Lucy Bopf 2014-09-01 01:46:29 UTC
Peer reviewed.

The new paragraph has been added as per comment #6. It provides a succinct overview. The opening paragraph now refers to the potential for improved virtual machine performance, and explains the way in which space may or may not be freed by the operation.

VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.